<?php

class MBLMICore
{
    public function __construct()
    {
        if ($this->_pluginEnabled()) {
            $this->_run();
        } elseif (is_admin()) {
            add_action('admin_notices', [$this, 'notActiveNotice']);
        }
    }

    public function notActiveNotice()
    {
        $class = 'notice notice-error';
        $message = __('МОДУЛЬ МИНИ ИНТЕРФЕЙСА не активирован!', 'mbl_admin');

        if(!defined('WP_MEMBERSHIP_VERSION')) {
            $message .= ' ' . __('Не установлен плагин MEMBERLUX.', 'mbl_admin');
        } elseif (version_compare(get_option('wpm_version'), '2.6.4', '<')) {
            $message .= ' ' . __('Устаревшая версия MEMBERLUX.', 'mbl_admin');
        } elseif (!$this->_pluginKeyActive()) {
            $message .= ' ' . __('Ключ не активирован.', 'mbl_admin');
        }
        printf('<div class="%1$s"><p>%2$s</p></div>', esc_attr($class), esc_html($message));
    }

    private function _pluginEnabled()
    {
        return defined('WP_MEMBERSHIP_VERSION')
               && !version_compare(get_option('wpm_version'), '2.6.4', '<')
               && $this->_pluginKeyActive();
    }

    private function _pluginKeyActive()
    {
        return (bool)count(wpm_array_filter(wpm_array_pluck(wpm_array_get(wpm_get_key_data(), 'keys.active', []), 'type'), 'mini'));
    }

    private function _run()
    {
        new MBLMIPublic();
		new MBLMIAdmin();
    }

    public static function install()
    {
        defined('WP_MEMBERSHIP_VERSION') || exit;
    }

    public static function uninstall()
    {

    }
}