<?php

class MBLMIPublic
{
    /**
     * MBLMIPublic constructor.
     */
    public function __construct()
    {
        $this->_setHooks();
    }

    private function _setHooks()
    {
        if (!is_admin()) {
            $this->_configureTemplates();
            
            if (wpm_get_option('mblmi.on') != 'off'){
				$this->_addMBLHooks();
			}
        }
    }

    private function _addMBLHooks()
    {
        add_filter('mbl_style', [$this, 'addStyles']);
        add_filter('mbl_material_description_filter', [$this, 'truncateMaterialDescription'], 10);
    }

    private function _configureTemplates()
    {
    }

    public function truncateMaterialDescription($text) {
        return wpm_get_option('mblmi.short_description_maxlength') ? wpm_truncate_text($text, wpm_get_option('mblmi.short_description_maxlength')) : $text;
    }

    public function addStyles()
    {
        return plugins_url('/mbl-mini-interface/assets/css/app.css?v=' . MBLMI_VERSION);
    }
}
